---
metadata:
  - name: generator
    content: Diplodoc Platform v5.54.2
alternate:
  - https://sourcecraft.dev/portal/docs/en/api-ref/Withdrawn/RunWorkflow.md
  - https://sourcecraft.dev/portal/docs/ru/api-ref/Withdrawn/RunWorkflow.md
  - href: ru/api-ref/Withdrawn/RunWorkflow.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://sourcecraft.dev/portal/docs/ru/llms.txt

<div class="openapi">

# Run Workflow in Repository

<!-- markdownlint-disable-file -->

[Deprecated](*Deprecated){.openapi-deprecated}

Endpoint is deprecated, please use `POST /repos/{org_slug}/{repo_slug}/cicd/runs` instead

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-post);margin-bottom: 12px">

<div class="openapi__request">

POST {.openapi__method}
```text translate=no
https://api.sourcecraft.tech/{org_slug}/{repo_slug}/ci_workflows/{workflow_name}/trigger
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_org_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_repo_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_workflow_name_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "revision": "example",
  "workflow_revision": "example",
  "input": {
    "values": [
      {
        "name": "example",
        "value": "example"
      }
    ]
  }
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_input_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [WorkflowInput](#entity-WorkflowInput)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "values": [
    {
      "name": "example",
      "value": "example"
    }
  ]
}
```

{% endcut %}
{.table-cell}
||
||

_revision_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_workflow_revision_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### InputValue {#entity-InputValue}

#|
|| **Name** | **Description** ||
||

_name_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_value_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "name": "example",
  "value": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### WorkflowInput {#entity-WorkflowInput}

#|
|| **Name** | **Description** ||
||

_values_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [InputValue](#entity-InputValue)[]

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "name": "example",
    "value": "example"
  }
]
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "values": [
    {
      "name": "example",
      "value": "example"
    }
  ]
}
```

{% endcut %}

</div>

## Responses

<div class="openapi__response__code__200">

## 200 OK

A successful response.

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "flux_id": "example",
  "flux_public_id": "example",
  "trigger_status": "already_exists"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_flux_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_flux_public_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_trigger_status_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [TriggerStatus](#entity-TriggerStatus)

_Enum:_{.json-schema-reset .json-schema-value} `already_exists`, `created`, `nothing_to_start`
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### TriggerStatus {#entity-TriggerStatus}

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `already_exists`, `created`, `nothing_to_start`

</div>

</div>

<div class="openapi__response__code__default">

## default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": null
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_details_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: unknown

_Example:_{.json-schema-reset .json-schema-example} `null`
{.table-cell}
||
||

_error_code_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_message_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_request_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.